Package org.eclipse.birt.report.model.api.extension

# Interface ICompatibleReportItem

All Known Implementing Classes:
  `ReportItem`

public interface ICompatibleReportItem
Represents an instance of a extended report element that can work with the bound data columns.

ICompatibleReportItem is responsible for providing backward compatibility for the extended item. Parts of migration work from BIRT 2.1M5 to BIRT 2.1.0 for bound data columns.

## Method Summary

Modifier and Type
Method
Description
`CompatibilityStatus`
`checkCompatibility()`
Checks the parser compatibilities for this report item and return the status.
`List`
`getRowExpressions()`
Returns a list containing the possible JavaScript expressions.
`void`
`handleCompatibilityIssue()`
handle the compatibility issue
`void`
`updateRowExpressions(Map newExpressions)`
Updates existed expression with the given expressions.

## Method Details

### getRowExpressions

List getRowExpressions()
Returns a list containing the possible JavaScript expressions. During parsing the design file, this method is automatically called to add bound data columns so that the design file before BIRT 2.1.0 can be compatible with BIRT 2.1.0 or later.

Returns:
  a list containing the possible expressions.

### updateRowExpressions

void updateRowExpressions(Map newExpressions)
Updates existed expression with the given expressions. The keys in `newExpressions` are existed expressions, while, the values are the new expressions to replace existed ones.

Parameters:
  `newExpressions` - a map containing the updated expressions.

### checkCompatibility

CompatibilityStatus checkCompatibility()
Checks the parser compatibilities for this report item and return the status.

Returns:
  the compatibility status.

### handleCompatibilityIssue

void handleCompatibilityIssue()
handle the compatibility issue